# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.90"
name = "miden-remote-prover"
version = "0.13.9"
authors = ["Miden contributors"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Miden blockchain remote prover"
homepage = "https://miden.xyz"
readme = "README.md"
keywords = [
    "miden",
    "prover",
    "remote",
]
license = "MIT"
repository = "https://github.com/0xMiden/miden-node"
resolver = "2"

[features]
concurrent = ["miden-tx/concurrent"]
default = ["concurrent"]

[lib]
name = "miden_remote_prover"
path = "src/lib.rs"

[[bin]]
name = "miden-remote-prover"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.async-trait]
version = "0.1"

[dependencies.axum]
version = "0.8"

[dependencies.bytes]
version = "1.0"

[dependencies.clap]
version = "4.5"
features = [
    "derive",
    "env",
]

[dependencies.http]
version = "1.3"

[dependencies.humantime]
version = "2.2"

[dependencies.miden-block-prover]
version = "0.13"

[dependencies.miden-node-proto]
version = "0.13"

[dependencies.miden-node-utils]
version = "0.13"

[dependencies.miden-protocol]
version = "0.13"
features = ["std"]
default-features = false

[dependencies.miden-tx]
version = "0.13"
features = ["std"]
default-features = false

[dependencies.miden-tx-batch-prover]
version = "0.13"
features = ["std"]

[dependencies.opentelemetry]
version = "0.31"

[dependencies.pingora]
version = "0.6"
features = ["lb"]

[dependencies.pingora-core]
version = "0.6"

[dependencies.pingora-limits]
version = "0.6"

[dependencies.pingora-proxy]
version = "0.6"

[dependencies.prometheus]
version = "0.14"

[dependencies.prost]
version = "=0.14.3"
features = ["derive"]
default-features = false

[dependencies.reqwest]
version = "0.12"

[dependencies.semver]
version = "1.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_qs]
version = "0.15"

[dependencies.thiserror]
version = "2.0"
default-features = false

[dependencies.tokio]
version = "1.46"
features = [
    "rt-multi-thread",
    "full",
]

[dependencies.tokio-stream]
version = "0.1"
features = ["net"]

[dependencies.tonic]
version = "0.14"
features = [
    "codegen",
    "router",
    "transport",
]
default-features = false

[dependencies.tonic-health]
version = "0.14"

[dependencies.tonic-prost]
version = "0.14"

[dependencies.tonic-web]
version = "0.14"

[dependencies.tower-http]
version = "0.6"
features = [
    "cors",
    "trace",
    "trace",
]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-opentelemetry]
version = "0.32"

[dependencies.uuid]
version = "1.16"
features = ["v4"]

[dev-dependencies.miden-protocol]
version = "0.13"
features = ["testing"]
default-features = false

[dev-dependencies.miden-standards]
version = "0.13"
features = ["testing"]

[dev-dependencies.miden-testing]
version = "0.13"

[dev-dependencies.miden-tx]
version = "0.13"
features = ["testing"]
default-features = false

[build-dependencies.miden-node-proto-build]
version = "0.13"
features = ["internal"]

[build-dependencies.miette]
version = "7.5"
features = ["fancy"]

[build-dependencies.tonic-prost-build]
version = "0.14"

[lints.clippy]
cast_possible_truncation = "allow"
collapsible-if = "allow"
from_iter_instead_of_collect = "allow"
ignored_unit_patterns = "allow"
large_types_passed_by_value = "allow"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
module_name_repetitions = "allow"
must_use_candidate = "allow"
needless_for_each = "allow"
should_panic_without_expect = "allow"

[lints.clippy.pedantic]
level = "warn"
priority = -1
